AUPARSE_GET_FILENAME(3)

NAME
auparse_get_filename - get the filename where record was found

SYNOPSIS
#include <auparse.h>

const char * auparse_get_filename(const auparse_state_t *au);"

DESCRIPTION
auparse_get_filename will return the name of the source file where the record was found if the source type is AUSOURCE_FILE or AUSOURCE_FILE_ARRAY. For other source types the return value will be NULL.

RETURN VALUE
Returns pointer to a filename or NULL if unavailable.

SEE ALSO
auparse_get_line_number(3). auparse_next_record(3).

AUTHOR
John Dennis